# Package org.eclipse.mat.query.annotations

package org.eclipse.mat.query.annotations
Annotations for Queries. Queries can be annotated with extra information giving the command name, tagging fields as arguments to be filled in, adding help text and menu position. As well as inline annotations, translatable text for the annotation can be placed into an `annotations.properties` directory for ease of translation.

Related Packages
Package
Description
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.annotations.descriptors
Package of interfaces for examining annotations of queries and arguments.
org.eclipse.mat.query.quantize
Value or linear frequency distribution histograms.
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.query.results
Default Query Result Implementations.
Class
Description
Argument
Annotates a member variable to be an query argument.
Argument.Advice
Optional advice for the query argument that is needed if the declaring type does not give enough evidence how to convert or validate this argument.
Category
Annotates the category to which the query belongs.
CommandName
(Optionally) annotates the command name of the query.
Help
Annotates a help message to the argument and/or query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.
Menu
Annotates a query which has multiple menu items for a single query class.
Menu.Entry
Annotates a `Menu` item for a particular sub-query.
Name
Annotates the name of the query as displayed in the query menu or query browser.
Usage
Annotates a custom usage message.